/* TEST IMPACT ON TRAFFIC... GROUPED BY SOURCE */

// set up data
estimates drop _all
use session_level/soj_src, clear
drop if dma==.
gen typ= "ebay" if inlist(visit_src_name,"On eBay","Paypal","Site Emails","eBay Toolbar") & google==0
replace typ="organic" if visit_src_name =="No Referrer" & google==0
replace typ="goog_paid" if /* google ==1 &  */visit_src_name=="Paid Internet Marketing"
replace typ="goog_nat" if /* google ==1 & */ visit_src_name=="Natural Search"
replace typ="other" if typ==""
collapse (sum) sessions tot_* page_count , by(date dma typ)
renvars sessions -page_count, postfix("_")
reshape wide sessions_ -page_count_ , i(dma date) j(typ) string

// DND variables
gen search=0 if inlist(dma,500,505,511,513,517,521,525,528,534,536,542,544,545,546,547,548,550,556,557,561,563,565,566,576,577,581,596,606,609,611,613,617,622,624,627,635,644,656,671,673,676,678,679,686,687,691,692,693,705,710,711,734,737,743,744,745,747,749,751,755,757,758,759,801,802,811,813,866)
replace search=1 if search==.
keep if date<=td(22jul2012)
gen treatper=date>=td(22may2012) & date<=td(22jul2012)
gen treated=treatper*search


// DnD REGRESSIONS
foreach v of varlist page_count* sessions* {
	dis in white "`v'"
	qui gen ln`v'=ln(`v')
	local src = substr("`v'",strpos(substr("`v'",6,.),"_")+6,20)
	qui eststo `v', title("`src'"): xtreg `v' treated treatper i.date, cluster(dma) fe i(dma)
	qui eststo ln`v', title("`src'"): xtreg ln`v' treated treatper i.date, cluster(dma) fe i(dma)
}

// output
esttab sessions*, se compress mtitle title(Session Counts) drop(*.date) star(* .1 ** .05 *** .01)
esttab page*, se compress mtitle title(Page Counts) drop(*.date) star(* .1 ** .05 *** .01)

esttab lnsessions*, se compress mtitle title(Log Session Counts) drop(*.date) star(* .1 ** .05 *** .01)
esttab lnpage*, se compress mtitle title(Log Page Counts) drop(*.date) star(* .1 ** .05 *** .01)

// IV - used in paper
qui eststo iv1, title(Goog_Nat): ivreg2 lnsessions_goog_nat (lnsessions_goog_paid = treated treatper search), cluster(dma)
qui eststo iv2, title(Org): ivreg2 lnsessions_organic (lnsessions_goog_paid = treated treatper search), cluster(dma)
esttab iv*, se compress mtitle title(IV Session Counts) star(* .1 ** .05 *** .01)



